<form *ngIf=element (ngSubmit)="updateElement(formProd)" #formProd="ngForm" id="element-form" >
  <mat-grid-list cols="3" [rowHeight]="">
    <mat-grid-tile [colspan]=1>
      <div>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Atomic Number</mat-label>
            <input
              matInput
              [ngModel]="element.atomic_number"
              name="atomic_number"
              required
            >
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Name</mat-label>
            <input
              matInput
              [ngModel]="element.name"
              name="name"
              required
            >
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Alternative Name</mat-label>
            <input
              matInput
              [ngModel]="element.alternative_name"
              name="alternative_name"
              required
            >
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Atomic Symbol</mat-label>
            <input
              matInput
              [ngModel]="element.symbol"
              name="symbol"
              required
            >
          </mat-form-field>
        </p>
      </div>
    </mat-grid-tile>
    <mat-grid-tile [colspan]=1>
      <div>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Appearance</mat-label>
            <input
              matInput
              [ngModel]="element.appearance"
              name="appearance"
              required
            >
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Discovery Year</mat-label>
            <input
              matInput
              [ngModel]="element.discoveryYear"
              name="discoveryYear"
              required
            >
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Group</mat-label>
            <input
              matInput
              [ngModel]="element.group_block"
              name="group_block"
              required
            >
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill">
            <mat-label>Period</mat-label>
            <input
              matInput
              [ngModel]="element.period"
              name="period"
              required
            >
          </mat-form-field>
        </p>
      </div>
    </mat-grid-tile>
    <mat-grid-tile [colspan]=1>
      <div>
        <p *ngFor="let discoverer of element.discovery">
          <mat-form-field appearance="fill">
            <mat-label>Discoverer</mat-label>
            <input
              matInput
              [ngModel]="discoverer"
              name="discovery"
            >
          </mat-form-field>
        </p>
      </div>
    </mat-grid-tile>
  </mat-grid-list>
  <p>
    <button class="basic-button" type="submit">Update</button>
  </p>
</form>

<p>
  <button class="basic-button" (click)="goToAuthentication()">Login</button>
</p>
